STRCASECMP(3)

NAME
strcasecmp, strncasecmp - compare two strings ignoring case

SYNOPSIS
#include <strings.h>

int strcasecmp(const char *s1, const char *s2);

int strncasecmp(const char *s1, const char *s2, size_t n);

DESCRIPTION
The strcasecmp() function compares the two strings s1 and s2, ignoring the case of the characters. It returns an integer less than, equal to, or greater than zero if s1 is found, respectively, to be less than, to match, or be greater than s2.

The strncasecmp() function is similar, except it only compares the first n characters of s1.

RETURN VALUE
The strcasecmp() and strncasecmp() functions return an integer less than, equal to, or greater than zero if s1 (or the first n bytes thereof) is found, respectively, to be less than, to match, or be greater than s2.

CONFORMING TO
4.4BSD, POSIX.1-2001

SEE ALSO
bcmp(3), memcmp(3), strcmp(3), strcoll(3), strncmp(3), wcscasecmp(3), wcsncasecmp(3)